unit uGlobal;

interface
                             
type
  TGLObjectType = (otRoot, otSprite, otHUDSprite, otPoints, otLines, otPlane, otCube, otSphere, otDisk, otCone, otCylinder, otModel);
  TMaterialFace = (mfFront, mfBack);
  TMaterialColor = (mcAmbient, mcDiffuse, mcEmission, mcSpecular);
  TPolygonMode = (pmFill, pmLines, pmPoints);

  TVector3d = array[0..2] of Double;
  TDoubleArray = array of Double;

var
  PluginLoad: function(FileName: string): boolean; stdcall;
  PluginLoaded: function(FileName: string): boolean; stdcall;
  Call: function(Func: string; Params: array of variant): variant; stdcall;

  function VectorMake(X, Y, Z: Double): TVector3D;

implementation

function VectorMake(X, Y, Z: Double): TVector3D;
begin
  Result[0]:=X;
  Result[1]:=Y;
  Result[2]:=Z;
end;

end.
